diff -urN nut-2.5.2/Makefile nut-2.5.2-troth/Makefile
--- nut-2.5.2/Makefile	2002-06-26 10:28:58.000000000 -0700
+++ nut-2.5.2-troth/Makefile	2002-10-14 17:27:12.000000000 -0700
@@ -66,6 +66,8 @@
         app/rs232d app/relays app/optoin \
 	app/tcpc app/tcps app/threads app/timers app/portdio
 
+include UserConf.mk
+
 all:
 	for i in $(SUBDIRS); do $(MAKE) -C $$i; done
 
@@ -81,3 +83,4 @@
 cleanall:
 	for i in $(SUBDIRS); do $(MAKE) -C $$i clean; done
 	for i in $(APPDIRS); do $(MAKE) -C $$i clean; done
+
diff -urN nut-2.5.2/UserConf.mk nut-2.5.2-troth/UserConf.mk
--- nut-2.5.2/UserConf.mk	1969-12-31 16:00:00.000000000 -0800
+++ nut-2.5.2-troth/UserConf.mk	2002-10-14 17:45:59.000000000 -0700
@@ -0,0 +1,3 @@
+## This file is generated by configure and can be ignored on windows system.
+#export MCU=
+#export NUTWORKDIR=
diff -urN nut-2.5.2/configure nut-2.5.2-troth/configure
--- nut-2.5.2/configure	1969-12-31 16:00:00.000000000 -0800
+++ nut-2.5.2-troth/configure	2002-10-14 17:38:27.000000000 -0700
@@ -0,0 +1,59 @@
+#! /bin/sh
+
+if [ "x`uname`" != "xLinux" ]
+then
+	echo "This is not a Linux system. I'm so confused!"
+	exit 1
+fi
+
+# Verify that avr-gcc is in the users PATH
+
+if ! avr-gcc --version >/dev/null 2>&1
+then
+	echo "Can't find avr-gcc."
+	echo ""
+	echo "This could mean either of the following:"
+	echo "  1: You don't have avr-gcc installed."
+	echo "  2: You don't have your PATH environment variable set right."
+	echo "Here is your PATH variable:"
+	echo ""
+	echo $PATH
+	echo ""
+	exit 1
+fi
+
+# Make links to included make fragments
+
+[ -f Makedefs ]  || ln -s Makedefs.gcc Makedefs
+[ -f Makerules ] || ln -s Makerules.gcc Makerules
+
+[ -f app/Makedefs ]  || ln -s Makedefs.gcc app/Makedefs
+[ -f app/Makerules ] || ln -s Makerules.gcc app/Makerules
+
+# Ask user which device to target
+
+while [ "x$DEV" = "x" ]
+do
+	echo "Select a target device:"
+	echo ""
+	echo "  1) ATmega128"
+	echo "  2) ATmega103"
+	echo ""
+	echo -n "Selection -> "
+	read answ
+
+	case "$answ" in
+	1) DEV=atmega128 ;;
+	2) DEV=atmega103 ;;
+	*)
+		echo "invalid choice" ;;
+	esac
+done
+
+cat <<EOF > UserConf.mk
+export MCU=$DEV
+export NUTWORKDIR=$PWD
+EOF
+
+echo "Your system is now configured to build for $DEV."
+echo "Type \`make\` to build the system."
